> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extat.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new bank in platform

> register new bank option.



## OpenAPI

````yaml /openapi/extat-openapi.json post /banks
openapi: 3.0.0
info:
  contact:
    email: contato@cernedigital.io
    name: Cerne Digital
    url: https://cernedigital.io
  description: >-
    API REST da Extat Plataforma usada pelo painel web. Artefato OpenAPI 3.0
    para a documentação Mintlify (tags em PT-BR).
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Extat Plataforma - API REST
  version: '1.0'
servers:
  - url: https://golang-api-vgnqx.ondigitalocean.app/v1
security: []
tags:
  - name: Autenticação
  - name: Bancos
  - name: Contas Bancárias
  - name: Plano e Assinaturas
  - name: Empresa
  - name: Centros de Custo
  - name: Painel
  - name: Demonstrativos
  - name: Saúde
  - name: Convites
  - name: Membros
  - name: Onboarding
  - name: Fornecedores
  - name: Usuário
paths:
  /banks:
    post:
      tags:
        - Bancos
      summary: Create a new bank in platform
      description: register new bank option.
      requestBody:
        $ref: '#/components/requestBodies/dto.CreateBankRequestDTO'
      responses:
        '201':
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
          description: Created
        '400':
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
          description: Bad Request
        '500':
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  requestBodies:
    dto.CreateBankRequestDTO:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/dto.CreateBankRequestDTO'
      description: bank data
      required: true
  schemas:
    dto.CreateBankRequestDTO:
      properties:
        active:
          type: boolean
        brand_url:
          type: string
        code:
          type: string
        label:
          type: string
      required:
        - code
        - label
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Token da sessão no cabeçalho Authorization, no formato Bearer (mesmo
        esquema ApiKeyAuth do contrato).
      in: header
      name: Authorization
      type: apiKey

````